function policy_functions_limcom()

%limcom_root() is the main file to compute the results for the Limited
%Commitment model with Capital. In order to run the code set the  variable
%named choose_model:
% 1. No signals: pers_limcom_ni_capital_outside_test
% 2. Signals: pers_limcom_wi_capital_outside_test_fgrid


%Author: Swapnil Singh and Christian Stoltenberg
%
%Version 
%February 1, 2019
%


%0. Preliminaries
%----------------
clc; clear all; close all;
addpath('Include', 'Data', 'Results' , 'Limcom');

%1. Choose the model
%-------------------

    choose_model = 'pers_limcom_wi_capital_outside_test_fgrid';
    
    
%2. Declare the parameters
%-------------------------
kappa = 0.4375; %signal precision
parameters_limcom(choose_model,kappa); % all other parameters are declared in that file


%3. Run the specific code
%------------------------
    
    if strcmp(choose_model, 'pers_limcom_ni_capital_outside_test')
        tic;
        pers_limcom_ni_capital_outside_test;
        fprintf('Time taken to finish the code = %f\n', toc);
        elseif strcmp(choose_model, 'pers_limcom_wi_capital_outside_test_fgrid')
        tic;
        pers_limcom_wi_capital_outside_test_fgrid;
        fprintf('Time taken to finish the code = %f\n', toc);
   
    end
    


end