function policy_functions_aiyagari()


%
%Author: Swapnil Singh and Christian Stoltenberg
%
%Version: 
%February 3, 2019
%


%0. Preliminaries
%----------------
clc; clear all; close all;
addpath('Include', 'Data', 'Aiyagari/Results', 'Aiyagari');

%1. Choose the model
%-------------------

    %There are two types of model to choose from. 
    %1. pers_aiyagari_ni:  Aiyagari model with no informatin
    %2. pers_aiyagari_wi:  Aiyagari model with information
    
    
 choose_model = 'pers_aiyagari_wi';
%2. Information parameter
%------------------------
vkappa = [0.99]; %signal precision; the other parameters are specified in the file parameters_aiyagari 
nkappa = length(vkappa);



%3. Run the specific code
%------------------------
    if strcmp(choose_model, 'pers_aiyagari_ni')
       tic;
       fprintf('Solving the Aiyagari with Matrix Inversion\n')
       parameters_aiyagari(choose_model);
       pers_aiyagari_ni;
       fprintf('Time taken to finish the code = %f\n', toc); 
    elseif strcmp(choose_model, 'pers_aiyagari_wi')
        tic;
        for i1 = 1 : nkappa
            kappa = vkappa(i1);
            parameters_aiyagari(choose_model,kappa);
            pers_aiyagari_wi;
        end
        fprintf('Time taken to finish the code = %f\n', toc);
    end
    




end